%define jbhomedir %{_datadir}/%{name}
%define jbossdir %{_localstatedir}/lib/%{name}
%define logdir   %{_localstatedir}/log
%define tmpdir   %{_localstatedir}/cache

%define tmp_build_file_dir %{_builddir}/jboss-%{jbver}-src/temp_build_file_dir
%define tpcsfile %{tmp_build_file_dir}/tpchecksumsfile
%define rlibcsfile %{tmp_build_file_dir}/repolibchecksumsfile
%define jbossarchivecsfile %{tmp_build_file_dir}/jbossarchivechecksumsfile

# Build specific macros
%define version_major 4
%define version_minor 2
%define version_revision 3
%define version_tag GA

%define jbver %{version_major}.%{version_minor}.%{version_revision}.%{version_tag}
%define taggedversion %{jbver}

Name:           jbossas
Version:        %{version_major}.%{version_minor}.%{version_revision}
Release:        24%{?dist}
Epoch:          0
Summary:        JBoss Application Server
License:        LGPLv2+
Group:          Internet/WWW/Servers
URL:            http://www.jboss.org/
# mkdir -p jboss-4.2.3.GA-src/4.2.3.GA
# svn export http://anonsvn.jboss.org/repos/jbossas/tags/JBoss_4_2_3_GA/ jboss-4.2.3.GA-src/4.2.3.GA/jboss-4.2.x/
# tar cjf jboss-4.2.3.GA-src.tar.bz2 jboss-4.2.3.GA-src
Source0:        jboss-%{taggedversion}-src.tar.bz2
Source1:        %{name}.catalog
Source2:        %{name}.conf
Source3:        %{name}.init
Source4:        %{name}-%{taggedversion}-tp.tar.bz2
Source5:        %{name}-%{taggedversion}-tp-licenses.tar.bz2
Source7:        %{name}-%{version}-jarmap
Source8:        %{name}-webconsole-context.xml
# Script for computing jar signatures at build time
Source99:       %{name}-%{version}-compute_jar_signature
Patch0:         %{name}-buildziponly.patch
Patch1:         %{name}-4.2.3-ant17.patch
Patch2:         %{name}-4.2.3-no-pluggable-instrumentor.patch
Patch3:         %{name}-4.2.3-no-faces-logger.patch
Patch4:         %{name}-4.2.3-glassfish.patch
Patch5:         %{name}-4.2.3-thirdparty-versions.patch
Patch6:         %{name}-4.2.3-version-release-maxmemory.patch
Requires:       antlr >= 0:2.7.6
Requires:       bcel >= 0:5.1
Requires:       /bin/netstat
Requires:       bsf >= 0:2.3.0
Requires:       bsh >= 0:1.3.0
Requires:       cglib >= 0:2.1.3
Requires:       codehaus-stax11-api >= 0:1.1.2
Requires:       concurrent >= 0:1.3.4
Requires:       dom4j >= 0:1.6.1
Requires:       excalibur-avalon-framework >= 1:4.3.1
Requires:       gawk
Requires:       glassfish-jaf = 0:1.1.0
Requires:       glassfish-javamail = 0:1.4.0
Requires:       glassfish-jaxb >= 0:2.1.4
Requires:       glassfish-jaxws >= 0:2.1.1
Requires:       glassfish-jsf >= 0:1.2_08
Requires:       glassfish-jstl = 0:1.2.0
Requires:       gnu-getopt >= 0:1.0.12
Requires:       gnu-trove >= 0:1.0.2
Requires:       grep
Requires:       hibernate3 >= 0:3.2.4-1.SP1_CP01
Requires:       hibernate3-annotations >= 0:3.2.1
Requires:       hibernate3-ejb-persistence-3.0-api >= 0:3.2.1
Requires:       hibernate3-entitymanager >= 0:3.2.1
Requires:       hsqldb >= 1:1.8.0.8-2.patch01
Requires:       jacorb >= 0:2.3.0-1jpp.ep1.4
Requires:       jakarta-commons-codec >= 0:1.3
Requires:       jakarta-commons-collections >= 0:3.1
Requires:       jakarta-commons-httpclient >= 1:3.0.1
Requires:       jakarta-commons-logging-jboss >= 0:1.1
Requires:       java >= 0:1.5.0
Requires:       java-devel >= 0:1.5
Requires:       javassist >= 0:3.8.0
Requires:       jaxbintros >= 0:1.0.0
Requires:       jaxen >= 0:1.1
Requires:       jboss-aop >= 0:1.5.6-1
Requires:       jboss-cache >= 0:1.4.1-4.SP9
Requires:       jboss-common >= 0:1.2.1
Requires:       jboss-jaxr >= 0:1.2.0-1.SP1
Requires:       jboss-microcontainer >= 1:1.0.2
Requires:       jboss-remoting >= 0:2.2.2-3.SP8
Requires:       jboss-serialization >= 0:1.0.3
Requires:       jbossts >= 1:4.2.3-0.SP7
Requires:       jboss-vfs >= 0:1.0.0
Requires:       jbossweb >= 0:2.0.1-1.GA
Requires:       jbossws-common >= 0:1.0.0
Requires:       jbossws-framework >= 0:2.0.1
Requires:       jbossws-native >= 0:3.0.1
Requires:       jbossws-spi >= 0:1.0.0
Requires:       jbossxb >= 1:1.0.0-3
Requires:       jettison >= 0:1.0.1
Requires:       jfreechart >= 0:1.0.9
Requires:       jgroups >= 1:2.4.1-1.SP4
Requires:       joesnmp >= 0:0.3.4
Requires:       jpackage-utils >= 0:1.7.3
Requires:       log4j >= 0:1.2.14
Requires:       quartz >= 0:1.5.2
Requires:       snmptrapappender >= 0:1.2.8
Requires:       sun-fi >= 0:1.2.2
Requires:       ws-commons-policy = 0:1.0
Requires:       wsdl4j16 >= 0:1.6.2
Requires:       ws-scout0 >= 0:0.7
Requires:       wstx >= 0:3.1.1
Requires:       xalan-j2 >= 0:2.7.0
Requires:       xerces-j2 >= 0:2.7.1
Requires:       xml-security >= 0:1.3.0
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  antlr >= 0:2.7.6
BuildRequires:  antlr-repolib = 0:2.7.6
BuildRequires:  ant-nodeps
BuildRequires:  asm >= 0:1.5.3
BuildRequires:  asm-repolib = 0:1.5.3
BuildRequires:  bcel >= 0:5.1
BuildRequires:  bcel-repolib = 0:5.1
BuildRequires:  bsf >= 0:2.3.0
BuildRequires:  bsf-repolib = 0:2.3.0
BuildRequires:  bsh >= 0:1.3.0
BuildRequires:  bsh-repolib = 0:1.3.0
BuildRequires:  buildmagic
BuildRequires:  cglib >= 0:2.1.3
BuildRequires:  cglib-repolib = 0:2.1.3
BuildRequires:  codehaus-stax11-api >= 0:1.1.2
BuildRequires:  codehaus-stax11-repolib >= 0:1.1.2
BuildRequires:  concurrent >= 0:1.3.4
BuildRequires:  concurrent-repolib = 0:1.3.4
BuildRequires:  dom4j >= 0:1.6.1
BuildRequires:  dom4j-repolib = 0:1.6.1
BuildRequires:  dom4j-jarjar >= 0:1.6.1
BuildRequires:  dom4j-jarjar-repolib >= 0:1.6.1
BuildRequires:  dtdparser >= 0:1.21
BuildRequires:  dtdparser-repolib = 0:1.21
BuildRequires:  excalibur-avalon-framework >= 1:4.3.1
BuildRequires:  excalibur-avalon-framework-repolib = 1:4.3.1
BuildRequires:  excalibur-avalon-logkit >= 1:2.2.1
BuildRequires:  excalibur-avalon-logkit-repolib = 1:2.2.1
BuildRequires:  findutils
BuildRequires:  gawk
BuildRequires:  glassfish-jaf = 0:1.1.0
BuildRequires:  glassfish-jaf-repolib = 0:1.1.0
BuildRequires:  glassfish-javamail = 0:1.4.0
BuildRequires:  glassfish-javamail-repolib = 0:1.4.0
BuildRequires:  glassfish-jaxb >= 0:2.1.4
BuildRequires:  glassfish-jaxb-repolib >= 0:2.1.4
BuildRequires:  glassfish-jaxws >= 0:2.1.1
BuildRequires:  glassfish-jaxws-repolib >= 0:2.1.1
BuildRequires:  glassfish-jsf >= 0:1.2_08
BuildRequires:  glassfish-jsf-repolib >= 0:1.2_08
BuildRequires:  glassfish-jstl = 0:1.2.0
BuildRequires:  glassfish-jstl-repolib = 0:1.2.0
BuildRequires:  gnu-getopt >= 0:1.0.12
BuildRequires:  gnu-getopt-repolib = 0:1.0.12
BuildRequires:  gnu-trove >= 0:1.0.2
BuildRequires:  gnu-trove-repolib = 0:1.0.2
BuildRequires:  hibernate3 >= 0:3.2.4-1.SP1_CP01
BuildRequires:  hibernate3-annotations >= 0:3.2.1
BuildRequires:  hibernate3-annotations-repolib = 0:3.2.1
BuildRequires:  hibernate3-ejb-persistence-3.0-api >= 0:3.2.1
BuildRequires:  hibernate3-entitymanager >= 0:3.2.1
BuildRequires:  hibernate3-entitymanager-repolib = 0:3.2.1
BuildRequires:  hibernate3-repolib >= 0:3.2.4-1.SP1_CP01
BuildRequires:  hsqldb >= 1:1.8.0.8-2.patch01
BuildRequires:  hsqldb-repolib >= 1:1.8.0.8-2.patch01
BuildRequires:  jacorb >= 0:2.3.0-1jpp.ep1.4
BuildRequires:  jacorb-repolib >= 0:2.3.0-1jpp.ep1.4
BuildRequires:  jakarta-commons-beanutils >= 0:1.7.0
BuildRequires:  jakarta-commons-beanutils-repolib = 0:1.7.0
BuildRequires:  jakarta-commons-codec >= 0:1.3
BuildRequires:  jakarta-commons-codec-repolib = 0:1.3
BuildRequires:  jakarta-commons-collections >= 0:3.1
BuildRequires:  jakarta-commons-collections-repolib = 0:3.1
BuildRequires:  jakarta-commons-digester >= 0:1.7
BuildRequires:  jakarta-commons-digester-repolib = 0:1.7
BuildRequires:  jakarta-commons-discovery >= 1:0.4
BuildRequires:  jakarta-commons-discovery-repolib = 1:0.4
BuildRequires:  jakarta-commons-fileupload >= 1:1.1.1
BuildRequires:  jakarta-commons-fileupload-repolib = 1:1.1.1
BuildRequires:  jakarta-commons-httpclient >= 1:3.0.1
BuildRequires:  jakarta-commons-httpclient-repolib = 1:3.0.1
BuildRequires:  jakarta-commons-lang >= 0:2.1
BuildRequires:  jakarta-commons-lang-repolib = 0:2.1
BuildRequires:  jakarta-commons-logging-jboss >= 0:1.1
BuildRequires:  jakarta-commons-logging-jboss-repolib >= 0:1.1
BuildRequires:  jakarta-slide-webdavclient >= 0:2.1
BuildRequires:  jakarta-slide-webdavclient-repolib = 0:2.1
BuildRequires:  javacc3 = 0:3.2
BuildRequires:  javacc3-repolib = 0:3.2
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  javassist >= 0:3.8.0
BuildRequires:  javassist-repolib = 0:3.8.0
BuildRequires:  jaxbintros >= 0:1.0.0
BuildRequires:  jaxbintros-repolib >= 0:1.0.0
BuildRequires:  jaxen >= 0:1.1
BuildRequires:  jaxen-repolib = 0:1.1
BuildRequires:  jboss-aop >= 0:1.5.6-1
BuildRequires:  jboss-aop-repolib >= 0:1.5.6-1
BuildRequires:  jbossbuild
BuildRequires:  jboss-cache >= 0:1.4.1-4.SP9
BuildRequires:  jboss-cache-repolib >= 0:1.4.1-4.SP9
BuildRequires:  jboss-common >= 0:1.2.1
BuildRequires:  jboss-common-repolib = 0:1.2.1
BuildRequires:  jboss-jaxr >= 0:1.2.0-1.SP1
BuildRequires:  jboss-jaxr-repolib >= 0:1.2.0-1.SP1
BuildRequires:  jboss-jbpm-bpel >= 0:1.1.0
BuildRequires:  jboss-jbpm-bpel-repolib = 0:1.1.0
BuildRequires:  jboss-jbpm-jpdl >= 0:3.2.0
BuildRequires:  jboss-jbpm-jpdl-repolib = 0:3.2.0
BuildRequires:  jboss-microcontainer >= 1:1.0.2
BuildRequires:  jboss-microcontainer-repolib >= 1:1.0.2
BuildRequires:  jboss-profiler >= 0:1.0
BuildRequires:  jboss-profiler-jvmti-repolib = 0:1.0
BuildRequires:  jboss-remoting >= 0:2.2.2-3.SP8
BuildRequires:  jboss-remoting-repolib >= 0:2.2.2-3.SP8
BuildRequires:  jboss-serialization >= 0:1.0.3
BuildRequires:  jboss-serialization-repolib = 0:1.0.3
BuildRequires:  jbossts >= 1:4.2.3-1.SP7
BuildRequires:  jbossts-repolib >= 1:4.2.3-1.SP7
BuildRequires:  jboss-vfs >= 0:1.0.0
BuildRequires:  jboss-vfs-repolib >= 0:1.0.0
BuildRequires:  jbossweb >= 0:2.0.1-0.GA
BuildRequires:  jbossweb-repolib >= 0:2.0.1-0.GA
BuildRequires:  jbossws-common >= 0:1.0.4
BuildRequires:  jbossws-common-repolib >= 0:1.0.4
BuildRequires:  jbossws-framework >= 0:3.0.1
BuildRequires:  jbossws-framework-repolib >= 0:3.0.1
BuildRequires:  jbossws-native >= 0:3.0.1
BuildRequires:  jbossws-native-repolib >= 0:3.0.1
BuildRequires:  jbossws-repolib >= 0:2.0.1-3.SP2
BuildRequires:  jbossws-spi >= 0:1.0.2
BuildRequires:  jbossws-spi-repolib >= 0:1.0.2
BuildRequires:  jbossxb >= 1:1.0.0-3
BuildRequires:  jbossxb-repolib >= 1:1.0.0-3
BuildRequires:  jcommon >= 0:1.0.12
BuildRequires:  jcommon-repolib >= 0:1.0.12
BuildRequires:  jettison >= 0:1.0.1
BuildRequires:  jettison-repolib >= 0:1.0.1
BuildRequires:  jfreechart >= 0:1.0.9
BuildRequires:  jfreechart-repolib >= 0:1.0.9
BuildRequires:  jgroups >= 1:2.4.1-1.SP4
BuildRequires:  jgroups-repolib >= 1:2.4.1-1.SP4
BuildRequires:  joesnmp >= 0:0.3.4
BuildRequires:  joesnmp-repolib = 0:0.3.4
BuildRequires:  joramtests >= 0:1.1
BuildRequires:  joramtests-repolib >= 0:1.1
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  juddi >= 0:0.9-0.rc4
BuildRequires:  juddi-repolib >= 0:0.9-0.rc4
BuildRequires:  junit >= 0:3.8.2
BuildRequires:  junit-repolib = 0:3.8.2
BuildRequires:  log4j >= 0:1.2.14
BuildRequires:  log4j-repolib = 0:1.2.14
BuildRequires:  odmg >= 0:3.0
BuildRequires:  odmg-repolib = 0:3.0
BuildRequires:  qdox >= 0:1.6.1
BuildRequires:  qdox-repolib = 0:1.6.1
BuildRequires:  quartz >= 0:1.5.2
BuildRequires:  quartz-repolib = 0:1.5.2
BuildRequires:  sed
BuildRequires:  servletapi6 >= 0:6.0.18
BuildRequires:  servletapi6-repolib >= 0:6.0.18
BuildRequires:  snmptrapappender >= 0:1.2.8
BuildRequires:  snmptrapappender-repolib = 0:1.2.8
BuildRequires:  sun-fi >= 0:1.2.2
BuildRequires:  sun-fi-repolib >= 0:1.2.2
BuildRequires:  unzip
BuildRequires:  velocity-jboss >= 0:1.4
BuildRequires:  velocity-jboss-repolib = 0:1.4
BuildRequires:  ws-commons-policy = 0:1.0
BuildRequires:  ws-commons-policy-repolib = 0:1.0
BuildRequires:  wsdl4j16 >= 0:1.6.2
BuildRequires:  wsdl4j16-repolib = 0:1.6.2
BuildRequires:  ws-jaxme-jboss >= 0:0.2
BuildRequires:  ws-jaxme-jboss-repolib >= 0:0.2
BuildRequires:  ws-scout0 >= 0:0.7
BuildRequires:  ws-scout0-repolib >= 0:0.7
BuildRequires:  wstx >= 0:3.1.1
BuildRequires:  wstx-repolib = 0:3.1.1
BuildRequires:  xalan-j2 >= 0:2.7.0
BuildRequires:  xalan-j2-repolib = 0:2.7.0
BuildRequires:  xdoclet >= 0:1.2.3
BuildRequires:  xdoclet-repolib = 0:1.2.3
BuildRequires:  xjavadoc >= 0:1.1
BuildRequires:  xjavadoc-repolib = 0:1.1
BuildRequires:  xerces-j2 >= 0:2.7.1
BuildRequires:  xerces-j2-repolib = 0:2.7.1
BuildRequires:  xml-security >= 0:1.3.0
BuildRequires:  xml-security-repolib = 0:1.3.0
BuildRequires:  xml-commons >= 0:1.3.04
BuildRequires:  xml-commons-repolib = 0:1.3.04
Provides:       %{name}-ejb3 = %{epoch}:1.0.0-0.2.rc10
Obsoletes:      %{name}-ejb3 < 0:1.0.0-0.2.rc10
Provides:       %{name}-core = %{epoch}:%{version}-%{release} 
Obsoletes:      %{name}-core <= 0:4.0.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss Application Server is the #1 most widely used Java application server 
on the market. A J2EE certified platform for developing and deploying
enterprise Java applications, Web applications, and Portals, 
JBoss Application Server provides the full range of J2EE 1.4 features as 
well as extended enterprise services including clustering, caching, and 
persistence.

%prep
%setup -q -n jboss-%{jbver}-src
for jar in `find . -type f -name '*.jar' -a ! -name 'jbossbuild.jar'`; do rm -v ${jar}; done
#for jar in `find . -type f -name '*.jar'`; do rm -v ${jar}; done
ln -s $(build-classpath ant) 4.2.3.GA/jboss-4.2.x/tools/lib/ant.jar
ln -s $(build-classpath ant/ant-junit) 4.2.3.GA/jboss-4.2.x/tools/lib/ant-junit.jar
ln -s $(build-classpath jboss-common/jboss-common) 4.2.3.GA/jboss-4.2.x/tools/lib/jboss-common.jar
ln -s $(build-classpath buildmagic-tasks) 4.2.3.GA/jboss-4.2.x/tools/lib/buildmagic-tasks.jar
#ln -s $(build-classpath jbossbuild) 4.2.3.GA/jboss-4.2.x/tools/lib/jbossbuild.jar
%setup -q -T -D -a 4 -n jboss-%{jbver}-src
%setup -q -T -D -a 5 -n jboss-%{jbver}-src/%{jbver}/jboss-%{version_major}.%{version_minor}.x/thirdparty
%setup -q -T -D -n jboss-%{jbver}-src
cp -p %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build-release.xml .
%patch0 -p0
pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
popd

mkdir %{tmp_build_file_dir}

echo "release.version.major=%{version_major}" > release.properties
echo "release.version.minor=%{version_minor}" >> release.properties
echo "release.version.revision=%{version_revision}" >> release.properties
echo "release.version.tag=%{version_tag}" >> release.properties
echo "version.cvstag=JBoss_%{version_major}_%{version_minor}_%{version_revision}_%{version_tag}" >> release.properties

# Compute checksums of jars in tp (note: our 'compute' consists of stripping meta 
# info and computing only classes)
(cd thirdpartyrepo
    rm -f %{tpcsfile}
    for i in `find \`pwd\` -type f -name "*ar" | sort`; do
       /bin/sh %{SOURCE99} $i >> %{tpcsfile}
    done
)

# Grab remaining thirdparty jars...
rm -f %{rlibcsfile}
touch %{rlibcsfile}
for item in %{_javadir}/repository.jboss.com/*; do
    cp -pr $item/ thirdpartyrepo/

    # Add the checksums from that jar into the checksum file
    for i in `find $item -type f -name "*ar" | sort`; do
        /bin/sh %{SOURCE99} $i >> %{rlibcsfile}
    done
done

# Sed out the task that requires going online (we package licenses directly)
sed -i -e s:'<visit-componentref-graph componentVisitor="org.jboss.ant.util.graph.ComponentRefGraphLicenseVisitor"/>'::g  %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build-thirdparty.xml

%build
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-nodeps"
export ANT_OPTS="-Xms500m -Xmx1500m -Xss1m"
# FIXME: (dwalluck): Work around <https://issues.apache.org/bugzilla/show_bug.cgi?id=42263>
ant -f build-release.xml \
    -Dversion.major=%{version_major} \
    -Dversion.minor=%{version_minor} \
    -Dversion.revision=%{version_revision} \
    -Dversion.tag=%{version_tag} \
    -Djbossbuild.repository=file://`pwd`/thirdpartyrepo \
    -Dant.version="`%{_bindir}/ant -version`" \
    build-dist release 2>&1 | tee %{tmp_build_file_dir}/build.log

%install
rm -rf $RPM_BUILD_ROOT

# FIXME: class-path-in-manifest /var/lib/jbossas/bin/shutdown.jar
# FIXME: class-path-in-manifest /var/lib/jbossas/bin/run.jar
# FIXME: log-files-without-logrotate /var/log/jbossas

# Extract the "distribution" so that we can patch appropriate files 
# and install from it
rm -rf jboss-as-4.2
mkdir jboss-as-4.2

# Extract the .zip
unzip -d jboss-as-4.2 -qq %{jbver}/dist/jboss-%{jbver}.zip

# Go into the distribution dir
pushd jboss-as-4.2/jboss-%{jbver}

# Remove the empty docs/tests dir (JBPAPP-114)
rmdir docs/tests

# Set up a specific context for web-console, so that links are allowed for it
cp -p %{SOURCE8} server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
cp -p %{SOURCE8} server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml

# Set jboss.dist to a direct path, since relative paths don't work due 
# to the symlink setup
sed -i -e s:'<property name="jboss.dist" value="../../../.."/>':'<property name="jboss.dist" value="/var/lib/jbossas"/>': docs/examples/jms/standalone/build.xml

# Copy DTD catalog into place
install -p -m 644 %{SOURCE1} docs/dtd/catalog

# Global configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cat > jbossas.conf << EOT
# System-wide configuration file for jbossas services
# This will be sourced by jbossas and any secondary service
# Values will be overridden by service-specific configuration
# files in /etc/sysconfig
# Use this one to change default values for all services
# Change the service specific ones to affect only one service
# (see, for instance, /etc/sysconfig/jbossas)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas.conf
install -m 644 jbossas.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rm jbossas.conf
# Service-specific configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat > jbossas << EOT
# Service-specific configuration file for jbossas services
# This will be sourced by the SysV service script after the global
# configuration file /etc/jbossas/jbossas.conf, thus allowing values
# to be overridden on a per-service way
#
# NEVER change the init script itself:
# To change values for all services make your changes in
# /etc/jbossas/jbossas.conf
# To change values for a specific service, change it here
# To create a new service, create a link from /etc/init.d/<you new service> to
# /etc/init.d/jbossas (do not copy the init script) and make a copy of the
# /etc/sysconfig/jbossas file to /etc/sysconfig/<you new service> and change
# the property values so the two services won't conflict
# Register the new service in the system as usual (see chkconfig and similars)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas

install -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
rm jbossas
# Configuration file used when run.sh is used
install -m 644 bin/run.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/client
cp -pr client/* $RPM_BUILD_ROOT%{jbhomedir}/client
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr lib/* $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr server $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
for script in classpath probe run shutdown twiddle wstools wsconsume wsrunclient wsprovide; do
  install -m 0755 bin/${script}.sh $RPM_BUILD_ROOT%{jbossdir}/bin/${script}.sh
  ln -sf %{jbossdir}/bin/${script}.sh $RPM_BUILD_ROOT%{_bindir}/jbossas-${script}
done
install -m 644 bin/*.jar $RPM_BUILD_ROOT%{jbossdir}/bin
pushd $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{_sysconfdir}/%{name}/run.conf .
popd

install -m 644 copyright.txt $RPM_BUILD_ROOT%{jbossdir}
install -m 644 jar-versions.xml $RPM_BUILD_ROOT%{jbossdir}
install -m 644 lgpl.html $RPM_BUILD_ROOT%{jbossdir}
install -m 644 JBossORG-EULA.txt $RPM_BUILD_ROOT%{jbossdir}

ln -s %{jbhomedir}/client $RPM_BUILD_ROOT%{jbossdir}/client
ln -s %{jbhomedir}/lib $RPM_BUILD_ROOT%{jbossdir}/lib
cp -pr docs/ $RPM_BUILD_ROOT%{jbossdir}/

ln -s %{jbossdir}/bin $RPM_BUILD_ROOT%{jbhomedir}/bin
ln -s %{jbossdir}/docs $RPM_BUILD_ROOT%{jbhomedir}/docs
ln -s %{jbossdir}/server $RPM_BUILD_ROOT%{jbhomedir}/server

for server in all default minimal; do
  mv $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$server
  ln -sf %{_sysconfdir}/%{name}/$server \
	$RPM_BUILD_ROOT%{jbossdir}/server/$server/conf
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}/$server
# avoid these symlinks for now
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/temp/$server
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/work/$server
# and replace them by straight dirs
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
#
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/data
  ln -s %{logdir}/%{name}/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
# avoid these symlinks for now
# ln -s %{tmpdir}/%{name}/temp/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
# ln -s %{tmpdir}/%{name}/work/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
done
#cleanup
find $RPM_BUILD_ROOT -name "*.sav" -exec rm -f {} \;

popd

# Compute signatures for all archives in the install dirs
rm -f %{jbossarchivecsfile} 
for i in `find $RPM_BUILD_ROOT%{jbhomedir} $RPM_BUILD_ROOT%{jbossdir} -type f -name "*ar" | sort`; do
    /bin/sh %{SOURCE99} $i >> %{jbossarchivecsfile}
done

# We now have checksums of
# 1. Files from thirdparty
# 2. Files from repolib (brew)
# 3. Files in /usr/share/jbossas and /var/lib/jbossas
#
# Files from thirdparty will be copied/unversioned
# Files from repolib will be linked
# Remaining files will be copied/versioned

OLD_IFS=$IFS
IFS='
'

rm -f %{tmp_build_file_dir}/tpfiles %{tmp_build_file_dir}/rlibfiles 
rm -f %{tmp_build_file_dir}/builtfiles

# Identify files in thirdparty
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/tpfiles
    fi
done

# Identify files from brew
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{rlibcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/rlibfiles
    fi
done

# Identify files from neither
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`
    found=$found`grep $checksum %{rlibcsfile} || :`

    if [ -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/builtfiles
    fi
done

# We created a list in %%prep with existing jar/ear/war files.. other than those, we install everything

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/rars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/sars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/wars

# Files to copy and version to /usr/share/java/jbossas (all built files)
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=""
    extension=${archive##*.}

    if [ $extension == "rar" ]; then
        dir=%{_javadir}/%{name}/rars
    elif [ $extension == "sar" ]; then
        dir=%{_javadir}/%{name}/sars
    elif [ $extension == "war" ]; then
        dir=%{_javadir}/%{name}/wars
    else
        dir=%{_javadir}/%{name}
    fi

    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    versionedname=`basename $archive | sed -e s:\\\\\(\\\..ar\\\\\):-%{version}\\\1:`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$versionedname ]; then
        sig1=`/bin/sh %{SOURCE99} $archive | awk '{print $1}'`
        sig2=`/bin/sh %{SOURCE99} $buildrootjavadir/$versionedname | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$versionedname"
            exit 1
        fi
    else
        install -m 644 $archive $buildrootjavadir/$versionedname
        ln -s $versionedname $buildrootjavadir/`basename $archive`
    fi

    # Remove archive from $JBOSS_HOME and link it
   rm -f $archive
   ln -s $dir/`basename $archive` $archive

done < %{tmp_build_file_dir}/builtfiles

# Third party files to copy to /usr/share/java/jbossas/thirdparty (non brew built)
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/thirdparty
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=%{_javadir}/%{name}/thirdparty
    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    filename=`basename $archive`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$filename ]; then
        sig1=`/bin/sh %{SOURCE99} $archive | awk '{print $1}'`
        sig2=`/bin/sh %{SOURCE99} $buildrootjavadir/$filename | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$filename"
            exit 1
        fi
    else
        install -m 644 $archive $buildrootjavadir/$filename
    fi

    # Remove archive from $JBOSS_HOME and link it
    rm -f $archive
    ln -s $dir/$filename $archive

done < %{tmp_build_file_dir}/tpfiles

# Finally, link brew built jars...
while read archive; do

    archive=$RPM_BUILD_ROOT$archive

    tosearch=`basename $archive`
    jarname=`grep -E "^$tosearch " %{SOURCE7} | awk '{print $2}' || :`
    jarfile=$(build-classpath $jarname) || :

    if [ -z "$jarname" ] || [ ! -r "$jarfile" ]; then
        echo "Incorrect/missing archive mapping for $archive"
        exit 1
    fi

    rm -f $archive
    ln -s $jarfile $archive

done < %{tmp_build_file_dir}/rlibfiles

# Temporary workaround for JBAS-3433.
# See: http://jira.jboss.org/jira/browse/JBAS-3433
for file in $RPM_BUILD_ROOT%{jbossdir}/bin/*.jar; do
    filebasename=`basename $file`
    rm -f $RPM_BUILD_ROOT%{jbossdir}/bin/$filebasename
    /bin/cp -f $RPM_BUILD_ROOT/%{_javadir}/%{name}/$filebasename $RPM_BUILD_ROOT%{jbossdir}/bin/
done

# Mark files status for jars, .xml's, .properties, etc. based on their extention
serverfileslist=%{tmp_build_file_dir}/jbossas-server-files.list
rm -f $serverfileslist
for file in `find $RPM_BUILD_ROOT%{jbossdir}/server`; do

    actualfile=`echo $file | sed -e s:^$RPM_BUILD_ROOT::g -e s:/var/lib/jbossas:%%{jbossdir}:g`

    # .xml/.properties => config file
    if [ "${actualfile##*.}" == "xml" ] || [ "${actualfile##*.}" == "properties" ]; then
       echo "%attr(-,jboss,jboss)  %config(noreplace) $actualfile" >> $serverfileslist
    elif [ -d "$file" ]; then
       # directory
       echo "%attr(-,jboss,jboss) %dir $actualfile" >> $serverfileslist
    else
       # Not a config file, not a directory => normal
       echo "%attr(-,jboss,jboss) $actualfile" >> $serverfileslist
    fi

done

# (dwalluck): Fix file eol
pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x/build
%{__perl} -pi -e 's/\r$//g' \
output/jboss-%{jbver}/JBossORG-EULA.txt \
output/jboss-%{jbver}/docs/dtd/jboss-service_4_2.dtd \
output/jboss-%{jbver}/docs/dtd/jboss_4_2.dtd \
output/jboss-%{jbver}/docs/dtd/jboss-client_4_2.dtd \
output/jboss-%{jbver}/docs/dtd/jboss-app_4_2.dtd \
output/jboss-%{jbver}/docs/examples/jmx/persistent-service.sar/META-INF/MANIFEST.MF \
output/jboss-%{jbver}/docs/examples/jms/db2-jdbc2-service.xml \
output/jboss-%{jbver}/docs/dtd/jbosscmp-jdbc_4_2.dtd \
output/jboss-%{jbver}/docs/licenses/cddl.txt \
output/jboss-%{jbver}/docs/dtd/jboss-web_4_2.dtd \
output/jboss-%{jbver}/docs/schema/persistence_1_0.xsd \
output/jboss-%{jbver}/docs/schema/orm_1_0.xsd \
output/jboss-%{jbver}/docs/schema/ejb-jar_3_0.xsd
%{__perl} -pi -e 's/\r$//g' $RPM_BUILD_ROOT%{jbossdir}/JBossORG-EULA.txt

# (dwalluck): Fix file encoding
%{_bindir}/iconv -f iso-8859-1 -t utf-8 < $RPM_BUILD_ROOT%{jbossdir}/copyright.txt > $RPM_BUILD_ROOT%{jbossdir}/copyright.txt.utf8
%{__mv} -f $RPM_BUILD_ROOT%{jbossdir}/copyright.txt.utf8 $RPM_BUILD_ROOT%{jbossdir}/copyright.txt
%{_bindir}/iconv -f iso-8859-1 -t utf-8 < $RPM_BUILD_ROOT%{jbossdir}/JBossORG-EULA.txt > $RPM_BUILD_ROOT%{jbossdir}/JBossORG-EULA.txt.utf8
%{__mv} -f $RPM_BUILD_ROOT%{jbossdir}/JBossORG-EULA.txt.utf8 $RPM_BUILD_ROOT%{jbossdir}/JBossORG-EULA.txt

%{_bindir}/iconv -f iso-8859-1 -t utf-8 < docs/copyright.txt > docs/copyright.txt.utf8
%{__mv} -f docs/copyright.txt.utf8 docs/copyright.txt
%{_bindir}/iconv -f iso-8859-1 -t utf-8 < output/jboss-%{jbver}/docs/dtd/connector_1_0.dtd > output/jboss-%{jbver}/docs/dtd/connector_1_0.dtd.utf8
%{__mv} -f output/jboss-%{jbver}/docs/dtd/connector_1_0.dtd.utf8 output/jboss-%{jbver}/docs/dtd/connector_1_0.dtd
popd

mkdir -p %{buildroot}%{_sysconfdir}/sgml
/bin/touch $RPM_BUILD_ROOT%{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat

%clean
rm -rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d /usr/share/%{name} -g jboss jboss 2>/dev/null || :
if [ "$1" = 2 ]; then
  # stop server before upgrade
  %{_initrddir}/%{name} stop >/dev/null 2>&1 || :
fi

%post
/bin/touch %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat 2>/dev/null || :
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null 2>&1 || :
fi
[ -x /sbin/chkconfig ] && /sbin/chkconfig --add %{name} || :

%preun
# remove service
if [ "$1" = 0 ]; then
  # on erase
  %{_initrddir}/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && /sbin/chkconfig --del %{name}
fi

%postun
# We NEVER, EVER remove users and groups from the system after they are added!
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jboss > /dev/null 2>&1 || :
#  groupdel jboss > /dev/null 2>&1 || :
#fi
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null 2>&1 || :
fi

%files -f temp_build_file_dir/jbossas-server-files.list
%defattr(0644,jboss,jboss,0755)
%defattr(0644,root,root,0755)
%defattr(0644,jboss,jboss,0755)
%attr(0755,root,root) %{_initrddir}/%{name}
# avoid these symlinks for now
#%attr(-,jboss,jboss) %{tmpdir}/%{name}
# they were replaced by straight dirs
%attr(-,jboss,jboss) %{logdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{jbhomedir}
%{jbhomedir}/bin
%{jbhomedir}/client
%{jbhomedir}/docs
%{jbhomedir}/lib
%{jbhomedir}/server
%dir %{jbossdir}
%doc %{jbossdir}/JBossORG-EULA.txt
%doc %{jbossdir}/copyright.txt
%{jbossdir}/jar-versions.xml
%doc %{jbossdir}/*.html
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,root,root) %{_bindir}/*
%attr(0755,jboss,jboss) %{jbossdir}/bin/*.sh
%{jbossdir}/bin/run.conf
%{jbossdir}/client
%{jbossdir}/docs
%{jbossdir}/lib
# javadir
%{_javadir}/jbossas
%ghost %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat

%changelog
* Tue May 19 2009 David Walluck <dwalluck@redhat.com> 0:4.2.3-24
- symlink activation.jar to glassfish-jaf instead of alternative

* Tue Dec 16 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-23
- rebuild for jcommon.jar and pluggable-instrumentor.jar fixes

* Mon Dec 15 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-22
- rebuild for jasper-jdt.jar fix

* Fri Dec 05 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-21
- fix docs install
- silence install-catalog in %%postun
- own generated catalog file

* Fri Dec 05 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-20
- silence install-catalog

* Thu Dec 04 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-19
- fix test for initscript functions

* Mon Dec 01 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-18
- rediff patches

* Mon Nov 24 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-17
- use id command in initscript

* Tue Oct 14 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-16
- remove some unnecessary requires

* Sun Oct 12 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-15
- fix sun-fi in jarmap

* Sun Oct 12 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-14
- remove some unnecessary requires
- clean up jarmap

* Sat Oct 11 2008 Will Tatam <will.tatam@red61.com> 0:4.2.3-13
- fix fedora-release dep

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-12
- BuildRequires: jboss-profiler
- add fedora-release

* Wed Oct 08 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-11
- add missing BuildRequires for juddi
- add missing BuildRequires for xjavadoc

* Mon Oct 06 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-10
- use cp -pr instead of cp -a

* Wed Oct 01 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-9
- add missing Requires: jbossws-native >= 0:3.0.1

* Tue Sep 30 2008 Will Tatam <will.tatam@red61.com> 0:4.2.3-8
- drop ant memory to try and avoid kpanic due to oom on 4G machine

* Mon Sep 29 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-7
- add external dependencies: codehaus-stax11, commons-logging-jboss, jaxbintros,
  jboss-microcontainer, jboss-vfs, juddi, sun-fi, wsdl4j16, ws-scout0
- upgrade dependencies: jbossws, jbossws-common, jbossws-framework, jbossws-spi

* Fri Sep 26 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-6
- increase ant memory

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-5
- update jettison requirement

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-4
- update servletapi6 version

* Wed Aug 13 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-3
- don't set JAVA_HOME in sysconfig script

* Wed Aug 13 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-2
- use external jettison 1.0-RC2
- use external jboss-jaxr 1.2.0.SP1
- add LSB header to initscript
- allow use of java-devel >= 0:1.50 to build
- update jboss-cache requirement from SP5 to SP9
- update jboss-remoting requirement from SP1 to SP8
- update jbossts requirement from SP6 to SP7
- update xml-commons requirement from 1.3.03 (upstream) to 1.3.04
- use %%{_initrddir} macro

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-1
- 4.2.3

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-7
- add external glassfish-{jaxb,jaxws} dependencies

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-6
- upgrade javassist version
- fix %%{_javadir}/* permissions

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-5
- add glassfish patch
- update build-thirdparty-versions patch

* Tue Jul 15 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-4
- use excalibur for avalon

* Fri Jul 11 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-3
- BuildRequires: unzip

* Thu Jul 03 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-2
- remove GA from Release tag

* Wed Jul 02 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.7
- set JAVA_HOME to JDK 1.5 in jbossas.conf
- force build with JDK 1.5

* Sat Jun 28 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.6
- update jbossws (Build)Requires

* Sat Jun 28 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.5
- fix some calls of compute_jar_signature
- update jbossws (Build)Requires

* Thu Jun 26 2008 Deepak Bhole <dbhole@redhat.com> 0:4.2.2-1.GA.4
- Fix code so that build fails if jars are not resolved to a single file

* Sun Jun 22 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.3.jpp5
- update jbossxb requirement

* Sat Jun 21 2008 Fernando Nasser <fnasser@redhat.com> 0:4.2.2-1.GA.2
- Use jbossws package, not binaries

* Fri Jun 06 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.1.jpp5
- add jfreechart_upgrade_to_1_0_2.patch
- remove explicit bea dependency
- remove exact jacorb-repolib requirement
- update jbossts to SP6 bumping epoch
- remove jboss-messaging requirement (not needed)
- fix (Build)Requires to match brew
- patch for versions that need to be upgraded from brew
- use %%setup macro to correctly unpack sources
- fix License
- add epoch to dependencies
- fix Source permissions
- correctly call compute_jar_signature (don't rely on +x)
- don't own %%{_docdir}
- BOOTSTRAP: use jbossws binaries for this build

* Wed Jun 04 2008 Deepak Bhole <dbhole@redhat.com> 4.2.2-1.GA
- Update for community version

* Mon Apr 21 2008 Deepak Bhole <dbhole@redhat.com> 4.2.0-3.GA_CP03.ep1.9
- Update sources with new tag

* Mon Apr 21 2008 Deepak Bhole <dbhole@redhat.com> 4.2.0-3.GA_CP03.ep1.8
- Update source tarball with fix for JBPAPP-778

* Thu Apr 17 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.7
- Respin of sources from RC1 to RC2

* Thu Apr 10 2008 Deepak Bhole <dbhole@redhat.com> 4.2.0-3.GA_CP03.ep1.6
- Revert init script changes for JBPAPP-571
- Update tp and tp-licenses tarball names
- Added defattr attributes to the zip subpackages

* Fri Apr 04 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.5
- Rebuild

* Wed Apr 02 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.4
- Upgrade glassfish-jsf to 1.2_08 (CVE-2008-1285)

* Wed Apr 02 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.3
- Upgrade to CP03
- Remove junit as a run-time dependency
- Upgrade JGroups to 2.4.2.GA_CP01
- Upgrade JBoss Cache to 1.4.1.SP9
- Upgrade JBoss TS to 4.2.3.SP5_CP01
- Upgrade JBoss Remoting to 2.2.2.SP7
- Upgrade JBoss WS to 1.2.1.GA_CP03
- Upgrade Hibernate to 3.2.4.SP1_CP03
- Relax dependency on jsf to allow upgrading jsf next time around even in
  the presence of circular dependencies

* Tue Jan 29 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP02.ep1.3
- Remove JBPM as run-time dependencies (not needed)

* Mon Jan 28 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP02.ep1.2
- Cause juddi to be installed even if not linked

* Mon Jan 28 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP02.ep1.1
- Final build

* Sat Jan 26 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-0.1.test_CP02.ep1.3
- Merge with EAP 4.3 version of the spec file
- Use jfreechart and jcommon packages
- Update sources
  From Deepak Bhole <dbhole@redhat.com>:
- Fix JBPAPP-342 - Useradd specifies a shell other than /sbin/nologin
- Remove replace task tracking, as we now use replace-regexp

* Mon Nov 26 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.test_CP02.ep1.2
- Fix JBPAPP-411 - disallow setting of JBOSS_UDP_PORT

* Wed Sep 19 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.test_CP02.ep1.1
- Update sources
- Make spec more dynamic to allow compatibility with 4.3 spec

* Thu Sep 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-2.CP01.ep1.3
- Ask for JBossXB CP01 to enforce upgrading

* Mon Sep 10 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.2
- Updated sources to rev. 65277
- Trim changelog to May 2007 and higher
- Update jarmap to use servlet-api and jsp-api from jbossweb
- Use javacc and j-c-lang during build

* Thu Aug 30 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.1
- Final CP01 build

* Tue Aug 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.4
- Update to rev 64922

* Mon Aug 20 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.3
- Nightly build

* Tue Aug 14 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.2
- Update revision
- Change to use more brew built components
- Re-wrote the jar signature computation script to optimize it significantly

* Mon Aug 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-0.1.CP01_test01.ep1.1
- Test build of CP branch
- Disable patches that are already in the branch

* Thu Jun 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-1.ep1.1
- Updates for GA build

* Mon Jun 25 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC8.ep1.1
- Upgrade to RC8
- Remove unnecessary requirement for jboss-profiler
- Removed extra org.jgroups section from jboss-log4j.xml (JBPAPP-225)
- Changed root logger ref to ASYNC (JBPAPP-223)
- From vivekl@redhat.com:
    Update jbossas-build-production-config.patch to comment out CLUSTER
    appender definition for the production config, replace org.jgroups
    level with WARN and org.jboss.ha with INFO 
    (JBPAPP-224/JBPAPP-225/JBPAPP-226)

* Fri Jun 15 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC7.ep1.1
- Upgrade to RC7
- Add EULA to rpm (JBPAPP-114)
- Mark copyright.txt and *.html in /var/lib/jbossas/ as %%doc

* Mon Jun 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.2
- Copy hibernate instead of linking it at run time

* Fri Jun 08 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.1
- Added context file to production config
- Added check to ensure that logs are writable by the correct user (bz# 239837)
- Install missing shell scripts (JBPAPP-114)
- Added -server option in run.bat (JBPAPP-202)
- Moved rpm specific changes to a separate section
- Changed seam logging level to WARN (JBPAPP-154)

* Wed May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.3
- Fix bug in production config patch that was causing build failure
- Set Xms and Xmx to 1503m

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.2
- Remove changes from the "disable auth" patch after noauth zip is created
- Set default config to "production", and add JBOSS_IP to the config files

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.1
- Update to RC5
- Set default startp config to production
- Change auth patching to make sources have the authentication changes
- Fixed JBPAPP-187, JBPAPP-179, JBPAPP-172, JBPAPP-180, JBPAPP-198

* Fri May 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC4.ep1.1
- Update to RC4
- Add checks to ensure that all patching for production config works

* Fri May 04 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC3.ep1.1
- Update to RC3
- JBPAPP-46: Remove production config changes patch (now done via build.xml)

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.2
- Update start and stop time to deal with machines with < 2GB memory

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.1
- Upgrade to RC2
- Fixed JBPAPP-46 via a patch (should happen though build.xml eventually)
- Fixed JBPAPP-138 (toplevel dir name for zip)
- Fixed JBPAPP-153 (remove second pooled invoker)
